%define		_class		    Log
%define		upstream_name	%{_class}

Name:		php-pear-%{upstream_name}
Version:	1.11.5
Release:	%mkrel 1
Summary:	Logging Framework
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/%{upstream_name}
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildRequires:	php-pear
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The Log package provides an abstracted logging framework. It includes output
handlers for log files, databases, syslog, email, Firebug, and the console. It
also provides composite and subject-observer logging mechanisms.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
rm -rf %{buildroot}

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only \
    %{_datadir}/pear/packages/%{upstream_name}.xml >/dev/null || :

%preun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi

%files
%defattr(-,root,root)
%doc %{upstream_name}-%{version}/docs/* %{upstream_name}-%{version}/examples
%{_datadir}/pear/%{_class}
%{_datadir}/pear/%{_class}.php
%{_datadir}/pear/data/%{upstream_name}
%{_datadir}/pear/packages/%{upstream_name}.xml



%changelog
* Tue Sep 29 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.11.5-1mdv2010.0
+ Revision: 451088
- update to new version 1.11.5

* Sun Sep 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.11.4-1mdv2010.0
+ Revision: 450207
- import php-pear-Log


* Fri Sep 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.11.4-1mdv2010.0
- split out from php-pear package
